# std::plus<void>

From cppreference.com
< cpp‎ | utility‎ | functional

Defined in header `<functional>` |  |
template<> class plus<void>; |  | (since C++14)

std::plus <void> is a specialization of std::plus with parameter and return type deduced.

### Member types

Type | Definition
`is_transparent` | unspecified

### Member functions

operator() | returns the sum of two arguments (public member function)

## std::plus<void>::operator()

template< class T, class U > constexpr auto operator()( T&& lhs, U&& rhs ) const -> decltype( std::forward <T>(lhs) + std::forward <U>(rhs)); |  |

Returns the sum of lhs and rhs.

### Parameters

lhs, rhs | - | values to sum

### Return value

std::forward <T>(lhs) + std::forward <U>(rhs).

### Example

Run this code

    #include <functional>
    #include <iostream>

    int main()
    {
        auto string_plus = std::plus<void>{}; // “void” can be omitted
        std::string a = "Hello ";
        const char* b = "world";
        std::cout << string_plus(a, b) << '\n';
    }

Output:

    Hello world

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/functional/plus_void&oldid=173617"